### Method

# EDataServer SourceRegistry check_enabled

since: 3.8

#### Declaration [src]

    gboolean
    e_source_registry_check_enabled (
      ESourceRegistry* registry,
      ESource* source
    )

#### Description [src]

Determines whether `source` is “effectively” enabled by examining its own `ESource:enabled` property as well as those of its ancestors in the `ESource` hierarchy. If all examined `ESource:enabled` properties are `TRUE`, then the function returns `TRUE`. If any are `FALSE`, then the function returns `FALSE`.

Use this function instead of `e_source_get_enabled()` to determine things like whether to display an `ESource` in a user interface or whether to act on the data set described by the `ESource`.

Available since: 3.8

#### Parameters

`source`

  Type: `ESource`

  An `ESource`.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

Whether `source` is “effectively” enabled.